#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for unit conversion
Name:           kunitconversion
Version: 5.42.0
%define subrel 2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires:  ki18n-devel >= %version
BuildRequires:  kconfig-devel >= %version

Conflicts:      %{_lib}kf5unitconversion5 < 5.42.0-1.1
%ifarch x86_64
Conflicts:      libkf5unitconversion5 < 5.42.0-1.1
%endif

%description
KDE Frameworks 5 Tier 2 addon for unit conversion

%files -f kunitconversion5.lang

#--------------------------------------------------------------------

%define kf5unitconversion_major 5
%define libkf5unitconversion %mklibname kf5unitconversion %{kf5unitconversion_major}

%package -n %libkf5unitconversion
Summary:  KDE Frameworks 5 Tier 2 addon for unit conversion
Group:        System/Libraries
Requires:     %name = %version-%release
Conflicts:    %name < 5.42.0-1.1

%description -n %libkf5unitconversion
KDE Frameworks 5 Tier 2 addon for unit conversion

%files -n %libkf5unitconversion
%_kf5_libdir/libKF5UnitConversion.so.%{kf5unitconversion_major}*

#--------------------------------------------------------------------

%define kf5unitconversion_devel %mklibname kf5unitconversion -d

%package -n %kf5unitconversion_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5unitconversion = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5unitconversion_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5unitconversion_devel
%_kf5_includedir/KUnitConversion
%_kf5_includedir/kunitconversion_version.h
%_kf5_libdir/cmake/KF5UnitConversion
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang kunitconversion5



%changelog
* Sat May 19 2018 neoclust <neoclust> 5.42.0-1.2.mga6
  (not released yet)
+ Revision: 1230532
- Fix conflicts to ease upgrade
- Remove translations out of lib package
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088994
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074566
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072230
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058385
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050562
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045140
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041362
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021960
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014370
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999660
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986353
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942279
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921306
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913023
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909871
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900559
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899422
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898950
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888190
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881414
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862975
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862779
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853820
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841610
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803378
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 740672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681238
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660450
- New version 5.1.0

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651666
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 650291
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611303
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599773
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597546
- imported package kunitconversion

